#ifndef GUARD_prefwin_h
#define GUARD_prefwin_h
/* -*- Mode: C++; tab-width: 4; indent-tabs-mod: nil; c-basic-offset: 4 -*- */
// Sagua is music player.
// Copyright (C) 2004 HG, Rhee <ez8tank@krpost.net>
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

/// @file prefwin.h
/// @brief Class for user preference window header file.

#include <gtkmm/window.h>

/// @brief Class for user preference window.
class PrefWnd
{
public:
    PrefWnd(Gtk::Window& parent);
    ~PrefWnd();

    void Run();

private:
    class PrefWndImpl;
    std::auto_ptr<PrefWndImpl> impl_;	///< Implementaion of PrefWnd.

    PrefWnd& operator=(const PrefWnd& prefWnd);
    PrefWnd(const PrefWnd& prefWnd);
};

#endif
